from django.db import models

from libs import ModelMixin
from libs.utils import human_datetime


class IpmiEvent(models.Model, ModelMixin):
    EID = models.IntegerField(default=0)
    ip = models.GenericIPAddressField()
    created_at = models.CharField(max_length=20, default=human_datetime, db_index=True)
    stype = models.CharField(max_length=1000)
    etype = models.CharField(max_length=1000)
    edir = models.CharField(max_length=1000)
    eint = models.CharField(max_length=1000)
    desc = models.CharField(max_length=1000)

    class Meta:
        db_table = 'ipmi_event'
